protolabs42

List API keys

List all API keys (key hashes are stripped from responses).

GET
/admin/api-keys

List all API keys (key hashes are stripped from responses).

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://chorus.runclaw.run/admin/api-keys"
{
  "data": [
    {
      "id": "string",
      "owner": "string",
      "permissions": {
        "signal_types": [],
        "rings": [],
        "task_types": [],
        "memory_scopes": []
      },
      "ring_scopes": [],
      "created_at": "string",
      "expires_at": "string",
      "revoked": false,
      "rate_limit": 9007199254740991
    }
  ],
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}